POST
Query transaction records
Use this endpoint to query card transaction records by transaction type, status, card ID, and time range.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keytxnTypeTransaction type filter.
Allowed values
AUTHORIZATION- Authorization transaction.
REVERSAL- Reversal transaction.
CLEARING- Clearing transaction.
txnStatusTransaction status filter.
Allowed values
S- Succeeded.
F- Failed.
P- Processing.
cardIdCard ID filter.
Example:
100001startTimeQuery start time, as a UTC timestamp in seconds.
Example:
1735689600endTimeQuery end time, as a UTC timestamp in seconds.
Example:
1735776000pageNumPage number.
Example:
1Constraints
- Range
1
pageSizePage size.
Example:
10Constraints
- Range
1100
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/queryTxnList' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"cardId": "100001",
"pageNum": 1,
"pageSize": 10,
"txnType": "AUTHORIZATION"
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ totalRecords, pageSize, ... }Paginated transaction records.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"totalRecords": 1,
"pageSize": 10,
"current": 1,
"pageNum": 1,
"totalPages": 1,
"records": [
{
"txnType": "AUTHORIZATION",
"txnStatus": "S",
"txnOrderNo": "TXN20260101001",
"originTxnOrderNo": null,
"originTxnOrderNoForRefund": null,
"cardId": "100001",
"authTime": 1735689600000,
"authorizationCode": "AUTH001",
"authMessageDesc": "Approved",
"transactionAmount": 50,
"transactionCurrency": "USD",
"transactionTime": 1735689600000,
"cardAmount": 50,
"cardCurrency": "USD",
"settleAmount": 50,
"settleCurrency": "USD",
"settleTime": 1735776000000,
"transactionFee": 0.5,
"transactionFeeCurrency": "USD",
"crossBorderFee": null,
"crossBorderFeeCurrency": null,
"exchangeFee": null,
"exchangeFeeCurrency": null,
"merchantId": "example_merchant_id",
"merchantName": "Example Merchant",
"merchantCountry": "United States",
"merchantCountryCode": "US",
"merchantStateProvince": "WA",
"merchantCity": "Seattle",
"merchantPostalCode": "98101",
"merchantMccCode": "5411"
}
]
}
}No error responses are documented for this endpoint.